<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.3
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.3"><title>Entlassungsdiagnose (full support)</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section" id="tmp-59220f5c-c8b4-47f3-8f6b-b6ccb4d3023d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.3'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.3'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.3'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.3'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:entry)&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:entry ist required [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.3']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.3']" id="tmp-ab0c58c5-f48d-4235-9869-56c72f170d92"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.2.40.0.34.11.2.2.3'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.2.40.0.34.11.2.2.3' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.7']" id="tmp-c58e85f0-6d3c-4330-a3b2-66035dfc0c61"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.7'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.7' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:code" id="tmp-74813991-6e09-4050-8011-5480683aded6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @code/@codeSystem MUSS '11535-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title" id="tmp-9ffd3261-559b-465a-9b43-d1bcaf0ed77f"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="text()='Entlassungsdiagnosen'">(TMP 1.2.40.0.34.11.2.2.3): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:title" id="tmp-b710b58c-6fae-4824-b7e6-201e31ed4dc5"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="text()='Diagnosen bei Entlassung'">(TMP 1.2.40.0.34.11.2.2.3): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry" id="tmp-f008dbc0-8b48-4304-b606-d77cf8301903"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@typeCode='DRIV' or not(@typeCode)">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @typeCode MUSS 'DRIV' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act" id="tmp-76aa82c7-40df-44f6-9e81-2be378c7181b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@classCode='ACT' ">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @classCode MUSS 'ACT' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.1'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.1'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.27'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:entryRelationship ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:entryRelationship)&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.2.3.1']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.2.3.1']" id="tmp-74d725ad-a6e6-42a3-ae85-63de455d148f"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.2.40.0.34.11.2.3.1'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.2.40.0.34.11.2.3.1' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']" id="tmp-73fc6261-85b5-4354-b378-d41b87ed03d9"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.2.40.0.34.11.1.3.5'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1']" id="tmp-4791ee6c-3c46-4dd1-9534-c186cdb78101"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.1' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2']" id="tmp-fa72f8ae-ebca-44e7-a0fd-48869ac95bb3"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.5.2' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.27']" id="tmp-40a91362-8283-4ba4-855f-5446ead12fe1"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='2.16.840.1.113883.10.20.1.27'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '2.16.840.1.113883.10.20.1.27' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship" id="tmp-e7d2f3bf-1688-435e-abe6-25365eae58fc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:observation ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:observation)&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:observation kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation" id="tmp-0d9c2561-a2a3-494a-a0c5-0ce04cbafe0e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:value ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="count(hl7:value)&lt;=1">(TMP 1.2.40.0.34.11.2.2.3): Element hl7:value kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']" id="tmp-73686898-d9d6-4e21-a45e-9e846608ea4f"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@root='1.2.40.0.34.11.1.3.6'">(TMP 1.2.40.0.34.11.2.2.3): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.3): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code" id="tmp-5f639e2b-7148-4cac-85b1-6abcfd6e1fbd"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.3
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP 1.2.40.0.34.11.2.2.3)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.3']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value" id="tmp-c7e9faea-6740-47b9-9cc9-e55c1b9a9f4d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.3): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert><extends rule="CD"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.3.html" test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.1')">(TMP 1.2.40.0.34.11.2.2.3): Der Wert von @codeSystem MUSS '1.2.40.0.34.5.1' sein.</assert></rule>
</pattern>