<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.13
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.13"><title>Kommunikation</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section" id="tmp-360070a4-eaf8-4484-9420-97ba3c38019c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.13'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.13'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.13'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.13'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.3.2.13): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.13']
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.13']" id="tmp-5d7c832f-3682-47a8-96ec-718de54af63b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.13): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="@root='1.2.40.0.34.11.3.2.13'">(TMP 1.2.40.0.34.11.3.2.13): @root MUSS den Wert '1.2.40.0.34.11.3.2.13' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.13): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:code" id="tmp-97ebf9db-8cbe-4e8c-bfcb-a903df97854b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.13): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="@nullFlavor or (@code='PFKOMM' and @codeSystem='1.2.40.0.34.5.40')">(TMP 1.2.40.0.34.11.3.2.13): Der Wert von @code/@codeSystem MUSS 'PFKOMM' codeSystem '1.2.40.0.34.5.40' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:title" id="tmp-d6dbc592-d3ea-4691-8465-dd5f58e60a8e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.13): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.13.html" test="text()='Kommunikation'">(TMP 1.2.40.0.34.11.3.2.13): Der Elementinhalt von 'hl7:title' MUSS ''Kommunikation'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.13
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.13']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.3.2.13)
-->
</pattern>