<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.4
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.4"><title>Körperpflege und Kleiden</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section" id="tmp-591d47a4-b554-474f-ae86-84be8c9b2403"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.4'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.4'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.4'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.4'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.3.2.4): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.4']
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.4']" id="tmp-f3ec1249-b927-418e-9f17-f1a6d7328fbe"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.4): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="@root='1.2.40.0.34.11.3.2.4'">(TMP 1.2.40.0.34.11.3.2.4): @root MUSS den Wert '1.2.40.0.34.11.3.2.4' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.4): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:code" id="tmp-45cd9824-3b44-4591-a780-55b3d843d516"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.4): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="@nullFlavor or (@code='PFKLEI' and @codeSystem='1.2.40.0.34.5.40')">(TMP 1.2.40.0.34.11.3.2.4): Der Wert von @code/@codeSystem MUSS 'PFKLEI' codeSystem '1.2.40.0.34.5.40' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:title" id="tmp-8758b54a-9fe6-4db6-b9b4-f6c4468a03dc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.4): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.4.html" test="text()='Körperpflege und Kleiden'">(TMP 1.2.40.0.34.11.3.2.4): Der Elementinhalt von 'hl7:title' MUSS ''Körperpflege und Kleiden'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.4
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.4']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.3.2.4)
-->
</pattern>