<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.4"><title>Laborbefund</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']" id="tmp-70f63eee-c986-4d2f-80f1-578408a4cc3b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdalab: Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">elga-cdalab: Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:title)&lt;=1">elga-cdalab: Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">elga-cdalab: Element hl7:documentationOf ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:componentOf)=0">elga-cdalab: element hl7:componentOf MAY NOT be present </assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']" id="tmp-9ceeb71d-a70a-4bb3-8d20-af70dd058038"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.2.40.0.34.11.4'">elga-cdalab: @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code" id="tmp-ed957c2c-0128-46d3-a6ce-55d3a58bbdba"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">elga-cdalab: Der Wert von @code/@codeSystem MUSS '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title" id="tmp-48280233-e730-4593-9bbd-1558323228fc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient" id="tmp-3ca14588-5cf3-47bb-8df8-1b61558c8d5d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:informationRecipient/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.4']" id="tmp-1c9abe10-b355-4cf2-81b0-cdb8d118f9e4"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.4'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.4' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator" id="tmp-c3400d79-eac1-4bbc-91f2-1c3cab2089dc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']" id="tmp-2717795d-36e5-4a7c-8818-06129648a37c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator" id="tmp-05637409-90e2-4fe5-b47b-838635a24fd7"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&gt;=1 ">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']" id="tmp-cd95e0cf-c446-4af2-90a7-d281c06734b9"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.5'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']" id="tmp-023169e6-1583-442b-819b-e184b2640956"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@typeCode='REF' ">elga-cdalab: Der Wert von @typeCode MUSS 'REF' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:time)&gt;=1 ">elga-cdalab: Element hl7:time ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:time)&lt;=1">elga-cdalab: Element hl7:time kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdalab: Element hl7:associatedEntity ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:associatedEntity)&lt;=1">elga-cdalab: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:time" id="tmp-635cc40c-e1ce-4432-abac-12691bfbd20b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity" id="tmp-9b8018a5-d4d8-42fe-a97d-cce49545d8c3"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@classCode='PROV' ">elga-cdalab: Der Wert von @classCode MUSS 'PROV' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">elga-cdalab: Element hl7:id ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:id)&lt;=1">elga-cdalab: Element hl7:id kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:addr)&gt;=1 ">elga-cdalab: Element hl7:addr ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:addr)&lt;=1">elga-cdalab: Element hl7:addr kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">elga-cdalab: Element hl7:telecom ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdalab: Element hl7:associatedPerson ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:associatedPerson)&lt;=1">elga-cdalab: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:scopingOrganization)&lt;=1">elga-cdalab: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']" id="tmp-4abbed7b-0ecf-48b4-b086-f899f94cc3e5"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.6'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id" id="tmp-02e0974d-536d-4621-b647-4959c3386be6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr" id="tmp-bf7de9dd-b5f0-4af7-b41b-f59d32e4ebcc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom" id="tmp-1e3310a5-e606-418d-b812-411804bc3507"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name" id="tmp-d3d54474-1ec2-4aaf-8c8f-016374832688"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdalab
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id" id="tmp-26d5f444-e275-4357-99ef-21531542887e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name" id="tmp-d0276eb9-a398-4a9d-a242-9cce67d49d48"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom" id="tmp-3b5eacbe-12be-4d4f-8e11-16b7577b7948"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr" id="tmp-af8cf8c7-464d-4c1f-b7b0-40c2a27e273a"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf" id="tmp-e9e1e778-59e3-4fb0-a275-3f98927d25b1"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">elga-cdalab: Element hl7:serviceEvent ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:serviceEvent)&lt;=1">elga-cdalab: Element hl7:serviceEvent kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent" id="tmp-5914d52e-1791-4acd-bf46-e1ed9612f56b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:code)&gt;=1 ">elga-cdalab: Element hl7:code ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:code)&lt;=1">elga-cdalab: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">elga-cdalab: Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:effectiveTime)&lt;=1">elga-cdalab: Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:code" id="tmp-c851cedf-8a66-465d-ad36-c71f762be2d7"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_ServiceEventsLabor-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdalab: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ServiceEventsLabor DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime" id="tmp-b64834bb-d728-4cf1-ace2-71030f5da6d0"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">elga-cdalab: Element hl7:low ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:low)&lt;=1">elga-cdalab: Element hl7:low kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">elga-cdalab: Element hl7:high ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:high)&lt;=1">elga-cdalab: Element hl7:high kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low" id="tmp-6adc7e7d-35e6-46d0-b649-6265605c426e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS.DATE.MIN" oder der Datentype MUSS "TS.DATE.MIN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high" id="tmp-b03b5f66-c374-4858-805e-30fc9893367c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">elga-cdalab: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS.DATE.MIN" oder der Datentype MUSS "TS.DATE.MIN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer" id="tmp-edf7e33e-a1e0-4303-ac24-551ebb0ae06b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">elga-cdalab: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: elga-cdalab
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']" id="tmp-ca029f2c-126c-4865-9aed-27ec2f2d8820"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.7'">elga-cdalab: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.4.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdalab: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: elga-cdalab
-->
</pattern>