<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.5
Description: Template Spezieller Implementierungsleitfaden ELGA Befund Bildgebende Diagnostik
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.5"><title>Befund Bildgebende Diagnostik</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']" id="tmp-534f0ffb-4786-4910-ab47-f3916b6b263e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&gt;=1 ">elga-cdabgd: Element hl7:templateId[@root='1.2.40.0.34.11.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.5'])&lt;=1">elga-cdabgd: Element hl7:templateId[@root='1.2.40.0.34.11.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdabgd: Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:code)&lt;=1">elga-cdabgd: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">elga-cdabgd: Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:title)&lt;=1">elga-cdabgd: Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:participant[@typeCode='CALLBCK'])&gt;=1 and not(hl7:participant[@typeCode='CALLBCK']/@nullFlavor)">elga-cdabgd: Element hl7:participant[@typeCode='CALLBCK'] ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:participant[@typeCode='REF'])&lt;=1">elga-cdabgd: Element hl7:participant[@typeCode='REF'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:documentationOf)&gt;=1 and not(hl7:documentationOf/@nullFlavor)">elga-cdabgd: Element hl7:documentationOf ist mandatory [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:templateId[@root='1.2.40.0.34.11.5']" id="tmp-22020284-0238-4762-af5c-6c03cc924268"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@root='1.2.40.0.34.11.5'">elga-cdabgd: @root MUSS den Wert '1.2.40.0.34.11.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdabgd: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:code" id="tmp-7e697c4e-77a3-4940-bc04-c49b014f214a"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_Dokumentenklassen-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_Dokumentenklassen-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdabgd: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_Dokumentenklassen DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:title" id="tmp-274b9e2c-743f-4585-8f02-c14d1bbc99e8"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']" id="tmp-cfbb27b5-de1e-4f76-b13c-4cf371743966"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@typeCode='CALLBCK' ">elga-cdabgd: Der Wert von @typeCode MUSS 'CALLBCK' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdabgd: Element hl7:associatedEntity ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedEntity)&lt;=1">elga-cdabgd: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity" id="tmp-71b978fa-0684-4421-9bfa-18f5876634a2"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@classCode='PROV' ">elga-cdabgd: Der Wert von @classCode MUSS 'PROV' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:addr)&lt;=1">elga-cdabgd: Element hl7:addr kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">elga-cdabgd: Element hl7:telecom ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdabgd: Element hl7:associatedPerson ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedPerson)&lt;=1">elga-cdabgd: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:scopingOrganization)&lt;=1">elga-cdabgd: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:addr" id="tmp-82a7771a-3d35-473d-8a54-669d8f1b1670"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:telecom" id="tmp-297f447d-2071-4121-9224-2e480aeeb5dc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:associatedPerson/hl7:name" id="tmp-a2dfaac4-ea5d-4c53-87cf-608ccf0ef8bd"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id" id="tmp-904debab-25a5-42dc-9dd7-12c0678e9fb3"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name" id="tmp-141cb660-d07f-4b77-9524-faad735754c7"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom" id="tmp-cb29ed0a-bb12-4f1f-bee0-a6d1ad6875b6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='CALLBCK']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr" id="tmp-5ef351da-4ab6-41ac-b267-a1c5ac7b0c67"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']" id="tmp-76271b6b-57e4-4788-a8a5-13447fba1c59"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@typeCode='REF' ">elga-cdabgd: Der Wert von @typeCode MUSS 'REF' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:functionCode)&gt;=1 and not(hl7:functionCode/@nullFlavor)">elga-cdabgd: Element hl7:functionCode ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">elga-cdabgd: Element hl7:associatedEntity ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedEntity)&lt;=1">elga-cdabgd: Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:functionCode
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:functionCode" id="tmp-071cf3a8-3ed7-4e08-91e6-961d963453bb"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or (@code='ADMPHYS')">elga-cdabgd: Der Wert von @code MUSS 'ADMPHYS' sein.</assert><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_ParticipationFunctionCode-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_ParticipationFunctionCode-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">elga-cdabgd: Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ParticipationFunctionCode DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity" id="tmp-4a5926fa-f5a8-4d56-968a-bd0f5711992e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@classCode='PROV' ">elga-cdabgd: Der Wert von @classCode MUSS 'PROV' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:addr)&lt;=1">elga-cdabgd: Element hl7:addr kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">elga-cdabgd: Element hl7:associatedPerson ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:associatedPerson)&lt;=1">elga-cdabgd: Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:scopingOrganization)&lt;=1">elga-cdabgd: Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:id" id="tmp-f8bcf67d-f959-465d-97ce-56c1b6d38112"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:addr" id="tmp-b58bb7f4-2811-4839-8e80-470a06e61238"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:telecom" id="tmp-50c6887e-763c-4465-a4f1-6152a212a671"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:associatedPerson/hl7:name" id="tmp-102311d1-a4b5-45fa-b6bf-ac51b09ad839"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PN" oder der Datentype MUSS "PN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization
Item: elga-cdabgd
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id" id="tmp-7d4de4f2-4202-4d80-bb9a-289b45035b7f"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name" id="tmp-af46c295-1fd6-4400-9762-2c668c7a3460"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='ON' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ON" oder der Datentype MUSS "ON" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom" id="tmp-9375b61a-898b-4063-b14a-8ff8b5492d73"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TEL" oder der Datentype MUSS "TEL" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:participant[@typeCode='REF']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr" id="tmp-649723c9-1e2d-4dd8-b310-24094fc90b6c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='AD' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "AD" oder der Datentype MUSS "AD" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf" id="tmp-41e5f16f-1d4b-4526-b78e-ccf6f4c3be85"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:serviceEvent)&gt;=1 and not(hl7:serviceEvent/@nullFlavor)">elga-cdabgd: Element hl7:serviceEvent ist mandatory [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent" id="tmp-66b2b899-34f7-45ea-83a3-0133a11d8d5c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">elga-cdabgd: Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:code)&lt;=1">elga-cdabgd: Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">elga-cdabgd: Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:effectiveTime)&lt;=1">elga-cdabgd: Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:code
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:code" id="tmp-e714796b-6490-469c-9222-64c499ce90f6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.38' and @codeSystemName='APPC')">elga-cdabgd: Der Wert von @codeSystem MUSS '1.2.40.0.34.5.38' codeSystemName='APPC' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime" id="tmp-4ba33742-71e3-4abc-85aa-c4c4193b57be"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">elga-cdabgd: Element hl7:low ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:low)&lt;=1">elga-cdabgd: Element hl7:low kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:high)&lt;=1">elga-cdabgd: Element hl7:high kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:low" id="tmp-8639a9ab-2bd5-4881-a62c-2280afb4c253"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS.DATE.MIN" oder der Datentype MUSS "TS.DATE.MIN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:effectiveTime/hl7:high" id="tmp-fe903f24-d5b2-41fe-9009-91e9d0495b7c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@nullFlavor or @xsi:type='TS.DATE.MIN' or not(@xsi:type)">elga-cdabgd: Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "TS.DATE.MIN" oder der Datentype MUSS "TS.DATE.MIN" sein</assert><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer" id="tmp-ef314563-b409-4952-86cd-f999962da8b0"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">elga-cdabgd: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">elga-cdabgd: Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.5
Context: *[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']
Item: elga-cdabgd
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.5']/hl7:documentationOf/hl7:serviceEvent/hl7:perfomer/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']" id="tmp-ebf60259-fd24-4567-a42c-6314678a8763"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="@root='1.3.6.1.4.1.19376.1.3.3.1.7'">elga-cdabgd: @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.5.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">elga-cdabgd: @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>
</pattern>