<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.12
Description: Kurzbeschreibung des Verlaufs des stat. Aufenthaltes (Dekurs).
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.12"><title>Zusammenfassung des Aufenthalts</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section" id="tmp-5c5ee04f-1a60-4118-9bd3-2b9ed9205377"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.12'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.12'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.12'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.12'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.2.2.12): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.12']
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.12']" id="tmp-c8975a86-3660-4381-89b6-64afc4f6e22d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.12): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@root='1.2.40.0.34.11.2.2.12'">(TMP 1.2.40.0.34.11.2.2.12): @root MUSS den Wert '1.2.40.0.34.11.2.2.12' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.12): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.5']" id="tmp-2485ee30-02ce-46e7-84b9-77a9e1c4269a"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.12): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.3.5'">(TMP 1.2.40.0.34.11.2.2.12): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.3.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.12): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:code" id="tmp-0ceb0da3-b74d-4056-86e6-b3666255c939"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.12): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@nullFlavor or (@code='8648-8' and @codeSystem='2.16.840.1.113883.6.1')">(TMP 1.2.40.0.34.11.2.2.12): Der Wert von @code/@codeSystem MUSS '8648-8' codeSystem '2.16.840.1.113883.6.1' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:title" id="tmp-68a1a809-d6af-4971-a3b8-26490ac7f9d4"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.12): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.12.html" test="text()='Zusammenfassung des Aufenthalts'">(TMP 1.2.40.0.34.11.2.2.12): Der Elementinhalt von 'hl7:title' MUSS ''Zusammenfassung des Aufenthalts'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.12
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.12']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.12)
-->
</pattern>