<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.2.2.2"><title>Entlassungsdiagnose (enhanced)</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section" id="tmp-96e358f9-4955-4294-a03a-e8c8715d749b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&gt;=1 ">(TMP 1.2.40.0.34.11.2.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.2'])&lt;=1">(TMP 1.2.40.0.34.11.2.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.2'] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.2.2.2']" id="tmp-329724cb-14f6-4c55-b374-34baa4b0a4ac"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@root='1.2.40.0.34.11.2.2.2'">(TMP 1.2.40.0.34.11.2.2.2): @root MUSS den Wert '1.2.40.0.34.11.2.2.2' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.2.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:code" id="tmp-4541ee94-8086-473c-814f-7dbe7db2d3b3"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@nullFlavor or (@code='11535-2' and @codeSystem='2.16.840.1.113883.6.1')">(TMP 1.2.40.0.34.11.2.2.2): Der Wert von @code/@codeSystem MUSS '11535-2' codeSystem '2.16.840.1.113883.6.1' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title" id="tmp-f1b6fd05-4ca4-4861-b175-f29c3368cf91"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="text()='Entlassungsdiagnosen'">(TMP 1.2.40.0.34.11.2.2.2): Der Elementinhalt von 'hl7:title' MUSS ''Entlassungsdiagnosen'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:title" id="tmp-f2ef7e5c-dc38-4991-b73f-47324d1705e5"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.2.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.2.2.2.html" test="text()='Diagnosen bei Entlassung'">(TMP 1.2.40.0.34.11.2.2.2): Der Elementinhalt von 'hl7:title' MUSS ''Diagnosen bei Entlassung'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.2']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.2.2.2)
-->
</pattern>