<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.2
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.2"><title>Pflege- und Betreuungsdiagnosen (full)</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section" id="tmp-72076aaf-3b99-401f-b269-411ef1ad3d20"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.2'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.2'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:entry)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entry ist required [min 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.2']" id="tmp-32a10d04-8483-4d47-a3bc-6a39d2b3d45d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.3.2.2'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.3.2.2' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:effectiveTime[2]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:doseQuantity
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship" id="tmp-df675358-d26e-4e7a-b722-ae8d9e2b5236"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@typeCode='COMP' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @typeCode MUSS 'COMP' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:sequenceNumber)&gt;=1 and not(hl7:sequenceNumber/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:sequenceNumber ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:substanceAdministration)&gt;=1 and not(hl7:substanceAdministration/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:substanceAdministration ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:substanceAdministration)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:substanceAdministration kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:sequenceNumber" id="tmp-5862be0b-bf76-43a3-955b-20436a883351"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='INT' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "INT" oder der Datentype MUSS "INT" sein</assert><extends rule="INT"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^-?[1-9][0-9]*$|^+?[0-9]*$')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid INT number <value-of select="$theValue"/></assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration" id="tmp-a651ac9e-1f4b-4e7f-971e-66a097f7c614"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@classCode='SBADM' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @classCode MUSS 'SBADM' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:effectiveTime ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:effectiveTime)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:doseQuantity ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:doseQuantity)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:doseQuantity kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:consumable ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:consumable)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:consumable kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']" id="tmp-4072115a-86c3-4694-8c3a-5293bd4cccdc"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.1' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime" id="tmp-2b6ff5b1-4c22-488e-a4f7-5dc6cabb28b7"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='SXPR_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "SXPR_TS" oder der Datentype MUSS "SXPR_TS" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@operator='A' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @operator MUSS 'A' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:event])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:event] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:event])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:event] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:phase])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:phase] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:comp[hl7:phase])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:comp[hl7:phase] kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]" id="tmp-6820c87a-040a-454b-ae55-7b87080df06a"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='EIVL_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "EIVL_TS" oder der Datentype MUSS "EIVL_TS" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:event)&gt;=1 and not(hl7:event/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:event ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:event)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:event kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:event]/hl7:event" id="tmp-b8181b75-bb4c-4e33-98a0-a69119eeb9ce"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><let name="theCode" value="@code"/><let name="theCodeSystem" value="@codeSystem"/><let name="theNullFlavor" value="@nullFlavor"/><let name="displayNamesFound" value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/><let name="validNullFlavorsFound" value="concat((document('include/voc-ELGA_TimingEvent-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or string-length($displayNamesFound)&gt;0 or string-length($validNullFlavorsFound)&gt;0">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_TimingEvent DYNAMIC.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]" id="tmp-d179f28c-21e4-4fc8-a6f8-ebeddf4ec113"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='PIVL_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PIVL_TS" oder der Datentype MUSS "PIVL_TS" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@operator='A' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @operator MUSS 'A' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:phase)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:phase ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:phase)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:phase kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:period)&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:period ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:period)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:period kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase" id="tmp-cee70582-0a75-45db-a74d-9e306ffa41a6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='IVL_TS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_TS" oder der Datentype MUSS "IVL_TS" sein</assert><extends rule="IVL_TS"/><let name="theValue" value="@value"/></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:phase/hl7:width" id="tmp-b8b65765-b8a2-4c27-98dd-96febb0aed7d"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 1.2.40.0.34.11.3.2.2): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@unit='d' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @unit MUSS 'd' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:effectiveTime/hl7:comp[hl7:phase]/hl7:period" id="tmp-367b263e-eeaa-4b01-bdf8-5e6ebd69765c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "PQ" oder der Datentype MUSS "PQ" sein</assert><extends rule="PQ"/><let name="theValue" value="@value"/><let name="digitok" value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="$digitok">(TMP 1.2.40.0.34.11.3.2.2): @value is not a valid PQ number <value-of select="$theValue"/></assert><let name="theUnit" value="@unit"/><let name="UCUMtest" value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/><assert role="warning" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="$UCUMtest='OK' or string-length($UCUMtest)=0">(TMP 1.2.40.0.34.11.3.2.2): value/@unit (PQ) SHALL be a valid UCUM unit (<value-of select="$UCUMtest"/>).</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@unit='d' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @unit MUSS 'd' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:doseQuantity" id="tmp-8c5a053b-f19f-4d5a-82a1-0e871a786387"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "IVL_PQ" oder der Datentype MUSS "IVL_PQ" sein</assert><extends rule="IVL_PQ"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/low @value is not a valid PQ number <value-of select="hl7:low/@value"/></assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/high @value is not a valid PQ number <value-of select="hl7:high/@value"/></assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(TMP 1.2.40.0.34.11.3.2.2): value/center @value is not a valid PQ number <value-of select="hl7:center/@value"/></assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable" id="tmp-a4da3564-8a9d-40af-a1a0-af58634ebeb9"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedProduct ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedProduct)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedProduct kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct" id="tmp-d4be40e4-0608-4c4b-ad12-36dbd281177b"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedMaterial ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:manufacturedMaterial)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:manufacturedMaterial kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entryRelationship/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial" id="tmp-e6e6bc47-4d10-41c2-afa7-daa1fcd23f4e"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor='NA'">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @nullFlavor MUSS 'NA' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry" id="tmp-97eaf920-5e48-42c3-be94-5730024a9041"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@typeCode='DRIV' or not(@typeCode)">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @typeCode MUSS 'DRIV' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act" id="tmp-b812ea3a-e8e9-45b3-acce-ed64ef74e105"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@classCode='ACT' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @classCode MUSS 'ACT' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@moodCode='EVN' ">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @moodCode MUSS 'EVN' sein.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.3.1'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.3.3.1'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.5'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.5'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:statusCode ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:statusCode)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:statusCode kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:entryRelationship)&gt;=1 and not(hl7:entryRelationship/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entryRelationship ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:entryRelationship)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:entryRelationship kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.3.3.1']" id="tmp-0b57b747-01c6-4545-9240-9934ff940cdf"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.3.3.1'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.3.3.1' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:templateId[@root='1.2.40.0.34.11.1.3.5']" id="tmp-4bda0c71-1c11-43b1-a4d0-c1e1bc00eee4"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.1.3.5'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.1.3.5' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:statusCode" id="tmp-140af730-a966-4521-a0da-7537bf1c2c26"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CS" oder der Datentype MUSS "CS" sein</assert><extends rule="CS"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@code='active')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS 'active' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship" id="tmp-b036bf27-497b-401a-8219-975e65db14e9"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:observation ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:observation)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:observation kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation" id="tmp-e9ce53b3-d48f-4f0c-9815-2f98c8851fd2"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.1.3.6'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:templateId[@root='1.2.40.0.34.11.1.3.6'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:value ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="count(hl7:value)&lt;=1">(TMP 1.2.40.0.34.11.3.2.2): Element hl7:value kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:templateId[@root='1.2.40.0.34.11.1.3.6']" id="tmp-2e10259c-5057-4ee6-81f2-8a12155ad7f6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@root='1.2.40.0.34.11.1.3.6'">(TMP 1.2.40.0.34.11.3.2.2): @root MUSS den Wert '1.2.40.0.34.11.1.3.6' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.2): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:code" id="tmp-e31d1a88-29e5-4986-b45c-e36386e56e87"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@code='282291009' and @displayName='Diagnosis')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @code MUSS '282291009' displayName='Diagnosis' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.2
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value
Item: (TMP 1.2.40.0.34.11.3.2.2)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.2']]/hl7:section/hl7:entry/hl7:act/hl7:entryRelationship/hl7:observation/hl7:value" id="tmp-32a56200-9eca-4533-a8fd-152fda1e9ff6"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.2): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CD" oder der Datentype MUSS "CD" sein</assert><extends rule="CD"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.2.html" test="@nullFlavor or (@codeSystem='1.2.40.0.34.5.1')">(TMP 1.2.40.0.34.11.3.2.2): Der Wert von @codeSystem MUSS '1.2.40.0.34.5.1' sein.</assert></rule>
</pattern>