<?xml version="1.0" encoding="UTF-8"?><!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.3.2.8
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron" id="template-1.2.40.0.34.11.3.2.8"><title>Atmung</title>
<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section" id="tmp-e30ea27f-90dd-4642-b6f2-cf1f3e204b6c"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&gt;=1 ">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] ist required [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:templateId[@root='1.2.40.0.34.11.3.2.8'])&lt;=1">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:templateId[@root='1.2.40.0.34.11.3.2.8'] kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:code ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:code)&lt;=1">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:code kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:title ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:title)&lt;=1">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:title kommt zu häufig vor [max 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:text ist mandatory [min 1x].</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="count(hl7:text)&lt;=1">(TMP 1.2.40.0.34.11.3.2.8): Element hl7:text kommt zu häufig vor [max 1x].</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:templateId[@root='1.2.40.0.34.11.3.2.8']" id="tmp-38b17073-04a6-41db-91ce-77b80a21b111"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.8): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "II" oder der Datentype MUSS "II" sein</assert><extends rule="II"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="@root='1.2.40.0.34.11.3.2.8'">(TMP 1.2.40.0.34.11.3.2.8): @root MUSS den Wert '1.2.40.0.34.11.3.2.8' haben.</assert><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(TMP 1.2.40.0.34.11.3.2.8): @root Attribut MUSS eine syntaktisch korrekte UUID oder OID sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:code" id="tmp-1abdb351-543d-442f-8a42-7aa4de264777"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.8): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "CE" oder der Datentype MUSS "CE" sein</assert><extends rule="CE"/><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="@nullFlavor or (@code='PFATM' and @codeSystem='1.2.40.0.34.5.40')">(TMP 1.2.40.0.34.11.3.2.8): Der Wert von @code/@codeSystem MUSS 'PFATM' codeSystem '1.2.40.0.34.5.40' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->

<rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:title" id="tmp-35aed1b6-515b-48c3-85f9-0aba720efef8"><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(TMP 1.2.40.0.34.11.3.2.8): Eine @xsi:type Instruktion MUSS anwesend sein mit dem Wert "ST" oder der Datentype MUSS "ST" sein</assert><let name="theValue" value="@value"/><assert role="error" see="./elga-html-20120129T203207/1.2.40.0.34.11.3.2.8.html" test="text()='Atmung'">(TMP 1.2.40.0.34.11.3.2.8): Der Elementinhalt von 'hl7:title' MUSS ''Atmung'' sein.</assert></rule>

<!--
Template derived rules for ID: 1.2.40.0.34.11.3.2.8
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.3.2.8']]/hl7:section/hl7:text
Item: (TMP 1.2.40.0.34.11.3.2.8)
-->
</pattern>